Object Snap Cursor Menu

Discussion in 'AutoCAD' started by Beaudin, Jan 12, 2004.

  1. Beaudin

    Beaudin Guest

    Bare with me.

    I have a Logitech Mx500 mouse. It has two extra buttons on it in the thumb area. My main objective is to be able to just
    press one of these two buttons and have the OBJECT SNAP CURSOR MENU pop up (exactly the same as holding shift and pressing the right button). Now, with the mouse software that is installed, I can set the button to the F12 key which is currently not in use by AutoCad. So, the idea is to set the
    OBJECT SNAP CURSOR MENU to the F12 key. How do you do that? I tried putting:

    ["F12"]$P0=SNAP $p0=*

    in the accelerators section of the ACAD.MNS file but, when I press F12 it says:

    Command: $P0=SNAP Unknown command "$P0=SNAP". Press F1 for help.
    Command: $p0=* Unknown command "$P0=*". Press F1 for help.

    Can someone help?
     
    Beaudin, Jan 12, 2004
    #1
  2. I believe that Logitech still has a Middle Button Setting. by Setting the
    thumb button to this it will automatically bring up the cursor menu. If not
    set it to Autoscroll and set "Mbuttonpan" to 0. This is how I have mine set
    but I have an Intellimouse from Microsoft, They did away with the Middle
    Button setting.

    HTH

    --
    _________________________________
    Timothy Spangler

    "You cannot escape the responsibility of tomorrow by evading it today"
    Abraham Lincoln
    _________________________________

    AutoCAD 2002
    WinXP
    Compaq Evo W6000
    Intel Xeon / 1G RAM
    thumb area. My main objective is to be able to just
    (exactly the same as holding shift and pressing the right button). Now,
    with the mouse software that is installed, I can set the button to the F12
    key which is currently not in use by AutoCad. So, the idea is to set the
     
    Timothy Spangler, Jan 12, 2004
    #2
  3. Beaudin

    Beaudin Guest

    Thanks, but, those suggestions just don't work. I've tried them both before. The Middle Button setting just does nothing whatsoever. Same with Autoscroll and setting Mbuttonpan to 0.

    Thanks for your suggestions, though. I'm not sure why Middle Button doesn't do anything.

    Once again, I still need to set the Object Snap Cursor Menu to F12.

    Can anyone else solve this problem?
     
    Beaudin, Jan 12, 2004
    #3
  4. Once again, I still need to set the Object Snap Cursor Menu to F12.
    For me it's [F4] ! ; )

    Put this in the ACCELERATOR part of *.MNS file:

    ***ACCELERATORS
    ....
    ["F12"]'osnapmenu
    ....

    and this to your *.MNL or to acadDoc.lsp for loading in every session!

    ;;; ------------------------------------------------------------------------
    ;;; Show the OSnap Shortcut menu (for [F4] functional key)
    ;;; ------------------------------------------------------------------------
    (defun C:OSNAPMENU (/ menuechoold)
    (setq menuechoold (getvar "cmdecho"))
    (setvar "cmdecho" 0)
    (menucmd "pop0=snap")
    (menucmd "pop0=*")
    (setvar "cmdecho" menuechoold)
    (princ)
    ) ; - 'defun'
    ;;; ------------------------------------------------------------------------
     
    Alexander V. Koshman, Jan 12, 2004
    #4
  5. Beaudin

    Beaudin Guest

    Thanks, but, that hasn't worked either.
    I get the following AutoCad message:

    'osnapmenu Unknown command "OSNAPMENU". Press F1 for help.

    Unless I put the code in the wrong place in the MNL file. I'm not that knowlegable about those files.

    Also, I have no file called acadDoc.lsp so, I created one and put that code in it. It didn't work either.

    Any tips?
     
    Beaudin, Jan 13, 2004
    #5
  6. Beaudin

    Beaudin Guest

    Thanks to all. But, I have figured it out on my own now.

    I put ["F12"](menucmd "p0=*") in the accelerators.
    It seems to do the trick!!

    Cheers!
     
    Beaudin, Jan 13, 2004
    #6
  7. I put ["F12"](menucmd "p0=*") in the accelerators.
    I think there are no wrong places!
    I think you have some problems with support paths?
    Try to FIND with (findfile ...) LISP function your files and
    see the path where AutoCAD will find them! :
    (findfile "AcadDoc.lsp")
    &
    (findfile "your_mnl_name.mnl")
    Maybe some ANOTHER menu is loaded?

    As I know AcadDoc.lsp loads in EVERY drawing...
    To tell the truth I don't understand why it isn't working at your PC... :
    (
     
    Alexander V. Koshman, Jan 14, 2004
    #7
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.